This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 103519 - 2.4.21-20.1.2024.2.1.nptl compile problems: lm87.c, dmi_scan.c wvlan_cs.c
2.4.21-20.1.2024.2.1.nptl compile problems: lm87.c, dmi_scan.c wvlan_cs.c
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 14:07 EDT by Marcel Mol
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-04 23:42:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
these simple patches fix it for my case. (1.62 KB, patch)
2003-09-01 14:10 EDT, Marcel Mol
no flags Details | Diff

  None (edit)
Description Marcel Mol 2003-09-01 14:07:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
recompiling the kernel from the src rpm fails with errors in lm87.c, dmi_scan.c
and wvlan_cs.c compiled as module. After applying the attached small patch
things work fine again. This is using gcc-3.3.1-1.

Version-Release number of selected component (if applicable):
kernel-source-2.4.21-20.1.2024.2.1.nptl

How reproducible:
Always

Steps to Reproduce:
1. Using my .config (if needed I can attach it)
2. make clean depend bzImage modules
3. compiler errors result in the modules part
    

Actual Results:  gcc errors 

Expected Results:  no compile errors

Additional info:

For lm87.c:

gcc -D__KERNEL__ -I/usr/src/linux-2.4.21-20.1.2024.2.1.nptl/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-st
rict-aliasing -fno-common -fomit-frame-pointer -pipe
-mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -in
clude /usr/src/linux-2.4.21-20.1.2024.2.1.nptl/include/linux/modversions.h 
-nostdinc -iwithprefix include -DKBUILD_BASE
NAME=lm87  -c -o lm87.o lm87.c
lm87.c:1063:6: missing terminating " character
lm87.c:1066:60: missing terminating " character
lm87.c:1081:1: unterminated argument list invoking macro "MODULE_AUTHOR"
lm87.c:1081: error: syntax error at end of input
lm87.c:1024: warning: `sensors_lm87_init' defined but not used
make[2]: *** [lm87.o] Error 1


From dmi_scan.c (tis is from the previous kerniel, but 2.4.21-xxx
has the same error):

gcc -D__KERNEL__ -I/usr/src/linux-2.4.20-20.1.2013.nptl/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict
-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2
-march=i686 -DMODULE -DMODVERSIONS -includ
e /usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/modversions.h  -nostdinc
-iwithprefix include -DKBUILD_BASENAME=dmi
_scan  -DEXPORT_SYMTAB -c dmi_scan.c
In file included from
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/sensors.h:24,
                 from dmi_scan.c:19:
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/i2c-proc.h:34: warning:
`struct i2c_client' declared inside parameter
 list
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/i2c-proc.h:34: warning: its
scope is only this definition or declarat
ion, which is probably not what you want
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/i2c-proc.h:77: warning:
`struct i2c_client' declared inside parameter
 list
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/i2c-proc.h:352: warning:
`struct i2c_adapter' declared inside paramet
er list
/usr/src/linux-2.4.20-20.1.2013.nptl/include/linux/i2c-proc.h:360: warning:
`struct i2c_adapter' declared inside parameter list


wvlan_cs.c has errors like lm87.c but I do not have the output handy
anymore.
Comment 1 Marcel Mol 2003-09-01 14:10:00 EDT
Created attachment 94120 [details]
these simple patches fix it for my case.

Just noticed this patch is a reverse patch. Please test/apply using the patch
-R option.
Comment 2 Marcel Mol 2003-09-14 05:03:49 EDT
Just tested with kernle-2.4.22-1.2040nptl and gcc 3.3.1-4.
This resolves the compile problems for lm87.c and wvlan_cs.c
but drivers/i2c/dmi_scan.c still needs the #include <linux/i2c.h>
Comment 3 Dave Jones 2004-01-04 23:42:22 EST
building the FC1 kernel with gcc 3.3 is unsupported for more reasons
than just the obvious failures.

Note You need to log in before you can comment on or make changes to this bug.